Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageGridSource Class Reference

`#include <vtkImageGridSource.h>`

Inheritance diagram for vtkImageGridSource:

[legend]
Collaboration diagram for vtkImageGridSource:

[legend]
List of all members.

## Detailed Description

Create an image of a grid.

Date:
  2002/01/22 15:32:41

Revision:
  1.10

vtkImageGridSource produces an image of a grid. The default output type is float.

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (89%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageGridSource.cxx)`
  - .`h` (`/Imaging/vtkImageGridSource.h)`

Tests:
  vtkImageGridSource (Tests)

Definition at line 45 of file vtkImageGridSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetGridSpacing (int, int, int)
virtual void | SetGridSpacing (int[3])
virtual int * | GetGridSpacing ()
virtual void | GetGridSpacing (int &, int &, int &)
virtual void | GetGridSpacing (int[3])
virtual void | SetGridOrigin (int, int, int)
virtual void | SetGridOrigin (int[3])
virtual int * | GetGridOrigin ()
virtual void | GetGridOrigin (int &, int &, int &)
virtual void | GetGridOrigin (int[3])
virtual void | SetLineValue (float)
virtual float | GetLineValue ()
virtual void | SetFillValue (float)
virtual float | GetFillValue ()
virtual void | SetDataScalarType (int)
void | SetDataScalarTypeToFloat ()
void | SetDataScalarTypeToInt ()
void | SetDataScalarTypeToShort ()
void | SetDataScalarTypeToUnsignedShort ()
void | SetDataScalarTypeToUnsignedChar ()
virtual int | GetDataScalarType ()
const char * | GetDataScalarTypeAsString ()
virtual void | SetDataExtent (int, int, int, int, int, int)
virtual void | SetDataExtent (int[6])
virtual int * | GetDataExtent ()
virtual void | GetDataExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetDataExtent (int[6])
virtual void | SetDataSpacing (float, float, float)
virtual void | SetDataSpacing (float[3])
virtual float * | GetDataSpacing ()
virtual void | GetDataSpacing (float &, float &, float &)
virtual void | GetDataSpacing (float[3])
virtual void | SetDataOrigin (float, float, float)
virtual void | SetDataOrigin (float[3])
virtual float * | GetDataOrigin ()
virtual void | GetDataOrigin (float &, float &, float &)
virtual void | GetDataOrigin (float[3])
## Static Public Methods
vtkImageGridSource * | New ()
int | IsTypeOf (const char *type)
vtkImageGridSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageGridSource ()
| ~vtkImageGridSource ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
int | GridSpacing [3]
int | GridOrigin [3]
float | LineValue
float | FillValue
int | DataScalarType
int | DataExtent [6]
float | DataSpacing [3]
float | DataOrigin [3]

## Member Typedef Documentation

typedef vtkImageSource vtkImageGridSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 49 of file vtkImageGridSource.h.

## Constructor & Destructor Documentation

vtkImageGridSource::vtkImageGridSource | ( |  | ) | `[protected]`

vtkImageGridSource::~vtkImageGridSource | ( |  | ) | `[inline, protected]`

| Definition at line 114 of file vtkImageGridSource.h.

## Member Function Documentation

vtkImageGridSource* vtkImageGridSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageGridSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageGridSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageGridSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageGridSource* vtkImageGridSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageGridSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkImageGridSource::SetGridSpacing | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the grid spacing in pixel units. Default (10,10,0). A value of zero means no grid.

virtual void vtkImageGridSource::SetGridSpacing | ( | int | [3] | ) | `[virtual]`

| Set/Get the grid spacing in pixel units. Default (10,10,0). A value of zero means no grid.

virtual int* vtkImageGridSource::GetGridSpacing | ( |  | ) | `[virtual]`

| Set/Get the grid spacing in pixel units. Default (10,10,0). A value of zero means no grid.

virtual void vtkImageGridSource::GetGridSpacing | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the grid spacing in pixel units. Default (10,10,0). A value of zero means no grid.

virtual void vtkImageGridSource::GetGridSpacing | ( | int | [3] | ) | `[virtual]`

| Set/Get the grid spacing in pixel units. Default (10,10,0). A value of zero means no grid.

virtual void vtkImageGridSource::SetGridOrigin | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the grid origin, in ijk integer values. Default (0,0,0).

virtual void vtkImageGridSource::SetGridOrigin | ( | int | [3] | ) | `[virtual]`

| Set/Get the grid origin, in ijk integer values. Default (0,0,0).

virtual int* vtkImageGridSource::GetGridOrigin | ( |  | ) | `[virtual]`

| Set/Get the grid origin, in ijk integer values. Default (0,0,0).

virtual void vtkImageGridSource::GetGridOrigin | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the grid origin, in ijk integer values. Default (0,0,0).

virtual void vtkImageGridSource::GetGridOrigin | ( | int | [3] | ) | `[virtual]`

| Set/Get the grid origin, in ijk integer values. Default (0,0,0).

virtual void vtkImageGridSource::SetLineValue | ( | float |  | ) | `[virtual]`

| Set the grey level of the lines. Default 1.0.

virtual float vtkImageGridSource::GetLineValue | ( |  | ) | `[virtual]`

| Set the grey level of the lines. Default 1.0.

virtual void vtkImageGridSource::SetFillValue | ( | float |  | ) | `[virtual]`

| Set the grey level of the fill. Default 0.0.

virtual float vtkImageGridSource::GetFillValue | ( |  | ) | `[virtual]`

| Set the grey level of the fill. Default 0.0.

virtual void vtkImageGridSource::SetDataScalarType | ( | int |  | ) | `[virtual]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value.

void vtkImageGridSource::SetDataScalarTypeToFloat | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value. Definition at line 81 of file vtkImageGridSource.h. References VTK_FLOAT.

void vtkImageGridSource::SetDataScalarTypeToInt | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value. Definition at line 82 of file vtkImageGridSource.h. References VTK_INT.

void vtkImageGridSource::SetDataScalarTypeToShort | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value. Definition at line 83 of file vtkImageGridSource.h. References VTK_SHORT.

void vtkImageGridSource::SetDataScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value. Definition at line 84 of file vtkImageGridSource.h. References VTK_UNSIGNED_SHORT.

void vtkImageGridSource::SetDataScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value. Definition at line 86 of file vtkImageGridSource.h. References VTK_UNSIGNED_CHAR.

virtual int vtkImageGridSource::GetDataScalarType | ( |  | ) | `[virtual]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value.

const char* vtkImageGridSource::GetDataScalarTypeAsString | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. As a convenience, the OutputScalarType is set to the same value. Definition at line 89 of file vtkImageGridSource.h.

virtual void vtkImageGridSource::SetDataExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the extent of the whole output image, Default: (0,255,0,255,0,0)

virtual void vtkImageGridSource::SetDataExtent | ( | int | [6] | ) | `[virtual]`

| Set/Get the extent of the whole output image, Default: (0,255,0,255,0,0)

virtual int* vtkImageGridSource::GetDataExtent | ( |  | ) | `[virtual]`

| Set/Get the extent of the whole output image, Default: (0,255,0,255,0,0)

virtual void vtkImageGridSource::GetDataExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the extent of the whole output image, Default: (0,255,0,255,0,0)

virtual void vtkImageGridSource::GetDataExtent | ( | int | [6] | ) | `[virtual]`

| Set/Get the extent of the whole output image, Default: (0,255,0,255,0,0)

virtual void vtkImageGridSource::SetDataSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the pixel spacing.

virtual void vtkImageGridSource::SetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Set/Get the pixel spacing.

virtual float* vtkImageGridSource::GetDataSpacing | ( |  | ) | `[virtual]`

| Set/Get the pixel spacing.

virtual void vtkImageGridSource::GetDataSpacing | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the pixel spacing.

virtual void vtkImageGridSource::GetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Set/Get the pixel spacing.

virtual void vtkImageGridSource::SetDataOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the origin of the data.

virtual void vtkImageGridSource::SetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the origin of the data.

virtual float* vtkImageGridSource::GetDataOrigin | ( |  | ) | `[virtual]`

| Set/Get the origin of the data.

virtual void vtkImageGridSource::GetDataOrigin | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the origin of the data.

virtual void vtkImageGridSource::GetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the origin of the data.

virtual void vtkImageGridSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkImageGridSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

int vtkImageGridSource::GridSpacing[3]`[protected]`

| Definition at line 116 of file vtkImageGridSource.h.

int vtkImageGridSource::GridOrigin[3]`[protected]`

| Definition at line 117 of file vtkImageGridSource.h.

float vtkImageGridSource::LineValue`[protected]`

| Definition at line 119 of file vtkImageGridSource.h.

float vtkImageGridSource::FillValue`[protected]`

| Definition at line 120 of file vtkImageGridSource.h.

int vtkImageGridSource::DataScalarType`[protected]`

| Definition at line 122 of file vtkImageGridSource.h.

int vtkImageGridSource::DataExtent[6]`[protected]`

| Definition at line 124 of file vtkImageGridSource.h.

float vtkImageGridSource::DataSpacing[3]`[protected]`

| Definition at line 125 of file vtkImageGridSource.h.

float vtkImageGridSource::DataOrigin[3]`[protected]`

| Definition at line 126 of file vtkImageGridSource.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageGridSource.h